require( "scripts/objects/get_something_object.lua" );

local	indicator_pos_x = 10;
local	indicator_pos_y = 0;

local ObjectTable = GetObjectTable("putstudymaterialsback");

studymaterials = get_something_object:new{
	
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	
	character_cleaning_animation = "doing_bow_down";
	flipped_texture = true,
	--object_cleaning_animation = "opened";
	
	next_object_selected = "estante2";
	next_object_state = "dirty";
	
	stuff_name = "books";
	stuff_x = "0";
	stuff_y = "-70";
	stuff_layer = "1";
	
	parent_final_state = "holding_books";
	
	texture="anim/objects/studymaterials/studymaterials",
	animation_script="anim/objects/studymaterials/studymaterials_animation_script.lua",
	glow_texture="anim/objects/studymaterials/studymaterials_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	
	animated = true;	
	cleaning_state_time = 1000,
	
	offset_x = -5;
	offset_y = 8;
	anchor_x=-22,
	anchor_y=30,
	
	stress_inc_enabled = false;

	cleaning_state_time = ObjectTable["cleaning_time"],
	
	complex_object = true;
	next_task_x = indicator_pos_x,
	next_task_y = -40,
	is_a_mess = true;
}

function studymaterials:ontable_update()
	PlayObjectAnimation(self.object_name, "dirty");
	self.previous_state = GetObjectState(self.object_name);
end